%define major 1
%define exslt_major 0
%define libname %mklibname xslt %{major}
%define libename %mklibname exslt %{exslt_major}
%define devname %mklibname xslt -d

Summary:	Library providing XSLT support
Name:		libxslt
Version:	1.1.29
Release:	4
License:	MIT
Group:		System/Libraries
Url:		http://xmlsoft.org/XSLT/
Source0:	ftp://xmlsoft.org/libxslt/%{name}-%{version}.tar.gz
Patch0:		0019-Fix-heap-overread-in-xsltFormatNumberConversion.patch
BuildRequires:	libtool
BuildRequires:	python-libxml2
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

#----------------------------------------------------------------------------

%package -n xsltproc
Summary:	XSLT processor using libxslt
Group:		System/Libraries
Obsoletes:	libxslt-proc < 1.1.28
Provides:	libxslt-proc = %{EVRD}

%description -n xsltproc
This package provides an XSLT processor based on the libxslt C library.
It allows to transform XML files into other XML files (or HTML, text, ...)
using the standard XSLT stylesheet transformation mechanism.

%files -n xsltproc
%doc AUTHORS NEWS README Copyright FEATURES TODO
%{_bindir}/xsltproc
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Library providing XSLT support
Group:		System/Libraries

%description  -n %{libname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

A xslt processor based on this library, named xsltproc, is provided by
the xsltproc package.

%files -n %{libname}
%{_libdir}/libxslt.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libename}
Summary:	Library providing XSLT support
Group:		System/Libraries
Conflicts:	%{_lib}xslt1 < 1.1.26-7

%description  -n %{libename}
This package contains the exslt shared library.

%files -n %{libename}
%{_libdir}/libexslt.so.%{exslt_major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries, includes, etc. to develop XML and HTML applications
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libename} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism.

%files -n %{devname}
%doc doc/*.html doc/tutorial doc/html
%{_mandir}/man3/*
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_includedir}/*
%{multiarch_bindir}/xslt-config
%{_bindir}/xslt-config
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*

#----------------------------------------------------------------------------

%package -n python-%{name}
Summary:	Python bindings for the libxslt library
Group:		Development/Python
Requires:	python-libxml2
Obsoletes:	%{name}-python < 1.1.28

%description -n python-%{name}
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows to parse sytlesheets, uses the libxml2-python
to load and save XML and HTML files. Direct access to XPath and
the XSLT transformation context are possible to extend the XSLT language
with XPath functions written in Python.

%files -n python-%{name}
%doc AUTHORS README Copyright FEATURES python/TODO python/examples python/libxsltclass.txt
%{py_platsitedir}/*.so
%{py_platsitedir}/*.py

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

mkdir -p python/examples
cp -a python/tests/*.{py,xml,xsl} python/examples

autoreconf -fi

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

# remove unpackaged files
rm -rf %{buildroot}%{_docdir}/%{name}-%{version} \
	%{buildroot}%{_docdir}/%{name}-python-%{version}

%multiarch_binaries %{buildroot}%{_bindir}/xslt-config


%changelog

* Sun Nov 27 2016 Denis Silakov <denis.silakov@rosalab.ru> 1.1.29-4
- (77f9c12) Fix potential overflow


